<div *ngIf="videoService.playingUrl" style="margin-left: 630px;margin-right: auto">

        <iframe width="640" height="480"
         [src]="videoService.playingUrl">
        </iframe>


    
</div>
<button *ngIf="videoService.playingUrl"  style="margin-left: 69em" (click)="favorite()">Add to favorite</button>